using CommunityToolkit.Maui;
using Microsoft.Extensions.Logging;

namespace GameAtlas;

public static class MauiProgram
{
	public static MauiApp CreateMauiApp()
	{
		var builder = MauiApp.CreateBuilder();
		builder
			.UseMauiApp<App>()
            .UseMauiCommunityToolkit()
            .ConfigureFonts(fonts =>
			{
				fonts.AddFont("OpenSans-Regular.ttf", "OpenSansRegular");
				fonts.AddFont("OpenSans-Semibold.ttf", "OpenSansSemibold");
				fonts.AddFont("Aladin-Regular.ttf", "Aladin");
				fonts.AddFont("PTSansCaption-Regular.ttf", "PTSansCaption-Regular");
                fonts.AddFont("PTSansCaption-Bold.ttf", "PTSansCaption-Bold");
                fonts.AddFont("PTSansNarrow-Regular.ttf", "PTSansNarrow-Regular");
                fonts.AddFont("PTSansNarrow-Bold.ttf", "PTSansNarrow-Bold");
            });

#if DEBUG
		builder.Logging.AddDebug();
#endif

		return builder.Build();
	}
}
